> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit a draft for approval

> ## Submit a draft for approval ##

<p>
Submits the draft ProductsDetail to be made available for agents to purchase. When this request is made the
draft will be moved to candidate status, and then to approved status and finally live status as it moves
through the Website Travel approval process.
</p>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json post /{supplierapi}/product/{productId}/submit
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/product/{productId}/submit:
    post:
      tags:
        - Version 1
        - Products
      summary: Submit a draft for approval
      description: >-
        ## Submit a draft for approval ##


        <p>

        Submits the draft ProductsDetail to be made available for agents to
        purchase. When this request is made the

        draft will be moved to candidate status, and then to approved status and
        finally live status as it moves

        through the Website Travel approval process.

        </p>
      operationId: submitDraftAction
      parameters:
        - name: productId
          in: path
          required: true
          schema:
            type: integer
            pattern: \d+
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '204':
          description: Returned when successful.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Returned when no draft productsdetail is found.
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.